


/* -- Galeria -- */

#pagina-galeria {
    display: flex;
    flex-direction: column;
    max-width: 1350px;
    margin: 20px auto auto auto;
    row-gap: 16px;
}

#pagina-galeria h2 {
    font-size: 24pt;
    font-weight: 500;
    text-align: center;
}

#galeria {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 4px;
}

.item-galeria {
    display: flex;
    flex-direction: column;
    background-color: transparent;
    transition: transform 0.4s ease, box-shadow 0.3s ease;
    position: relative;
    overflow: hidden;
}

.item-galeria-imagem {
    height: 350px;
    object-fit: cover;
    filter: brightness(0.65);
    transition: transform 0.2s ease;
}

.item-galeria:hover .item-galeria-imagem {
    transform: scale(1.05);
}

.item-galeria-titulo {
    padding: 14px;
    font-weight: 400;
    color: white;
    font-size: 18pt;
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    margin: auto;
    width: fit-content;
    height: fit-content;
}

.hero {
    height: 100vh;
    font-size: 24pt;
    background-image: url('/img/hero.jpg');
    background-size: cover;
    background-position: center;
    display: flex;
    align-items: center;
    justify-content: center;
    color: white;
    text-shadow: 1px 1px 2px rgba(0, 0, 0, 0.7);
    animation: slideIn 1s forwards;
}


/* -- Seção da Calculadora -- */

#secao-calculadora {
    max-width: 725px;
    margin: 0 auto;
}

#secao-calculadora h1 {
    font-size: 16pt;
}

#secao-calculadora p {
    margin-top: 12px;
}

#tipo-calculo {
    flex: 3;
    margin-right: 32px;
}

#input-calculo, #output-calculo {
    flex: 2;
}

#calculadora {
    user-select: none;
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: end;
    column-gap: 16px;
    width: fit-content;
    margin: 24px auto 8px auto;
}


.parte-calculo {
    display: flex;
    flex-direction: column;
}

.parte-calculo label {
    font-size: 16pt;
    text-align: center;
}

.parte-calculo select, 
.parte-calculo input {
    background-color: white;
    border: 1px solid #777;
    border-radius: 4px;
    width: 100%;
    padding: 4px;
    font-size: 24pt;
    text-align: center;
    outline: none;
}

#valor-tipo {
    font-size: 15pt;
    padding: 12px 0;
}

#sinal-igual {
    font-size: 36pt;
    position: relative;
    top: 16px;
}


/* -- Seção Produtos -- */

.pagina {
    display: flex;
    flex-direction: column;
    max-width: 1350px;
    margin: 48px auto;
    row-gap: 48px;
}

#cards {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 24px;
}

.card {
    padding: 32px;
    box-shadow: rgba(0, 0, 0, 0.1) 0px 4px 6px -1px, rgba(0, 0, 0, 0.06) 0px 2px 4px -1px;
    display: flex;
    flex-direction: column;
    border-radius: 8px;
    background-color: white;
}

.produto {
    display: flex;
    flex-direction: column;
}

.imagem-produto {
    width: 100%;
}

.imagem-produto img {
    width: 100%;
    height: 250px;
    object-fit: cover;
    border-radius: 4px;
}

.titulo-produto {
    font-weight: 500;
}

.descricao-produto {
    flex: 1;
    margin: 8px 0;
    color: #676767;
}

.valor-produto {
    font-weight: 500;
    font-size: 14pt;
}

.botao {
    margin-top: 8px;
    padding: 10px;
    border: none;
    border-radius: 6px;
    cursor: pointer;
    font-size: 11pt;
    display: flex;
    font-weight: bold;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    column-gap: 8px;
}

.botao-comprar {
    background-color: rgb(76, 74, 79);
    color: white;
    transition: background-color 0.2s ease;
}

.botao-comprar svg {
    width: 24px;
    height: 24px;
    fill: white;
}

.botao-comprar:hover {
    background-color: #353535;
}

